3 Replies Latest reply on Feb 25, 2011 8:05 AM by yunus emre aslan

    PDF Namespace giving error in components.xml for Seam 2.2

    Ambrish Singh Newbie

      Hi Everyone,


      I have just upgrade my Seam project from 2.0 to 2.2.
      Everything is fine but my components.xml file is showing error for the PDF namespace.


      Here is the code:




      <?xml version="1.0" encoding="UTF-8"?>
      <components xmlns="http://jboss.com/products/seam/components"
           xmlns:core="http://jboss.com/products/seam/core"
           xmlns:pdf="http://jboss.com/products/seam/pdf"
           xmlns:framework="http://jboss.com/products/seam/framework"
           xmlns:persistence="http://jboss.com/products/seam/persistence"
           xmlns:drools="http://jboss.com/products/seam/drools"
           xmlns:bpm="http://jboss.com/products/seam/bpm"
           xmlns:security="http://jboss.com/products/seam/security"
           xmlns:theme="http://jboss.com/products/seam/theme"
           xmlns:international="http://jboss.com/products/seam/international"
           xmlns:mail="http://jboss.com/products/seam/mail"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://jboss.com/products/seam/core http://jboss.com/products/seam/core-2.2.xsd 
                       http://jboss.com/products/seam/persistence http://jboss.com/products/seam/persistence-2.2.xsd 
                       http://jboss.com/products/seam/drools http://jboss.com/products/seam/drools-2.2.xsd
                       http://jboss.com/products/seam/bpm http://jboss.com/products/seam/bpm-2.2.xsd
                       http://jboss.com/products/seam/security http://jboss.com/products/seam/security-2.2.xsd
                       http://jboss.com/products/seam/pdf http://jboss.com/products/seam/pdf-2.2.xsd
                       http://jboss.com/products/seam/mail http://jboss.com/products/seam/mail-2.2.xsd
                       http://jboss.com/products/seam/framework http://jboss.com/products/seam/framework-2.2.xsd
                       http://jboss.com/products/seam/components http://jboss.com/products/seam/components-2.2.xsd">
      
           <pdf:document-store use-extensions="true"
                error-page="/pdfmissing.seam" />
      
      </components>




      Now <pdf:document-store> tag is showing error.


      I don't know what's the problem. Is something wrong in Namespace declaration ?.


      Thanks


      Ambrish